import { newSpecPage } from "@stencil/core/testing";
import { BpSdkQuoteRequestCoverageItemContainer } from "./bp-sdk-quote-request-coverage-item-container";
const setupPage = async () => {
    return await newSpecPage({
        html: '<bp-sdk-quote-request-coverage-item-container></bp-sdk-quote-request-coverage-item-container>',
        components: [BpSdkQuoteRequestCoverageItemContainer],
    });
};
const setupInstance = (page) => {
    const instance = page.rootInstance;
    return instance;
};
describe('bp-sdk-quote-request-coverage-item-container', () => {
    it('renders', async () => {
        const page = await setupPage();
        await page.waitForChanges();
        const element = page.root.querySelector('bp-sdk-quote-request-coverage-item');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-quote-request-coverage-item-container')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await setupPage();
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-quote-request-coverage-item-container')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
